EPICS Home

Experimental Physics and Industrial Control System


 
1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  <20152016  2017  Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  <20152016  2017 
<== Date ==> <== Thread ==>

Subject: RE: Building SEQ 2.2.3, Windows, EPICS Base 3-15-2
From: Mark Rivers <rivers@cars.uchicago.edu>
To: "Madden, Timothy J." <tmadden@aps.anl.gov>
Cc: "tech-talk@aps.anl.gov" <tech-talk@aps.anl.gov>
Date: Sat, 3 Oct 2015 13:35:28 +0000
Hi Tim,

Please look at this page:

http://www.aps.anl.gov/epics/base/win32.php

It gives the recommended versions of gnumake and Perl. Note that for 3.15.2 you must use make 4.1, as documented on that page. Here is a link to download that for Windows:

http://www.aps.anl.gov/epics/download/tools/make-4.1-win64.zip

For building with Visual Studio you should not use Cygwin at all. Make sure Cygwin is not in your path, and use a Windows cmd command shell.

For building base 3.15.2 with Visual Studio 2015 you need to look at the Known Problems page here.

http://www.aps.anl.gov/epics/base/R3-15/2-docs/KnownProblems.html

It says that you cannot use the Express Edition, you must use the Community Edition (or presumably the licensed version).  You also must apply a patch to base as documented on that page.

Mark

________________________________________
From: Mark Rivers
Sent: Friday, October 02, 2015 5:20 PM
To: Madden, Timothy J.
Cc: tech-talk@aps.anl.gov
Subject: Re: Building SEQ 2.2.3, Windows, EPICS Base 3-15-2

It looks like you are using Cgywin make. That is not allowed. See. The page on building with Windows on EPICS base page. Use make 4.1 linked to there.

Mark

Sent from my iPhone

> On Oct 2, 2015, at 5:15 PM, Madden, Timothy J. <tmadden@aps.anl.gov> wrote:
>
> Mark
>
> Thanks for the reply.
>
> Here is the error message. I saw someone else had gotten a similar message. With other epics base it goes away, but the 2015 compiler does not work with older EPICS.
>
> Tim
> See below-----------------------------------------------
>
>
> D:\EPICS\ADEpics\synApps_5_5\support\seq-2.2.3>make
> cygwin warning:
> MS-DOS style path detected: D:/EPICS/ADEpics/base-3.15.2/configure/CONFIG
> Preferred POSIX equivalent is: /cygdrive/d/EPICS/ADEpics/base-3.15.2/configure
> /CONFIG
> CYGWIN environment variable option "nodosfilewarning" turns off this warning.
> Consult the user's guide for more details about POSIX paths:
> http://cygwin.com/cygwin-ug-net/using.html#using-pathnames
> make -C ./configure install
> make[1]: Entering directory `/cygdrive/d/EPICS/ADEpics/synApps_5_5/support/seq-2
> .2.3/configure'
> perl -CSD /cygdrive/d/EPICS/ADEpics/synApps_5_5/support/seq-2.2.3/configure/D:/E
> PICS/ADEpics/base-3.15.2/bin/windows-x64-debug/makeMakefile.pl O.windows-x64-deb
> ug ../..
> Can't open perl script "/cygdrive/d/EPICS/ADEpics/synApps_5_5/support/seq-2.2.3/
> configure/D:/EPICS/ADEpics/base-3.15.2/bin/windows-x64-debug/makeMakefile.pl": N
> o such file or directory
> make[1]: *** [O.windows-x64-debug] Error 2
> make[1]: Leaving directory `/cygdrive/d/EPICS/ADEpics/synApps_5_5/support/seq-2.
> 2.3/configure'
> make: *** [configure.install] Error 2
>
> D:\EPICS\ADEpics\synApps_5_5\support\seq-2.2.3>
>
> -----------------------------------------------END------------------------------------------------
>
>
>
>
>
>
> ________________________________________
> From: Mark Rivers [rivers@cars.uchicago.edu]
> Sent: Friday, October 02, 2015 4:50 PM
> To: Madden, Timothy J.
> Cc: tech-talk@aps.anl.gov
> Subject: Re: Building SEQ 2.2.3, Windows, EPICS Base 3-15-2
>
> 2.2.3 does work for me with VS 2010 and 3.14.12.5. It was 2.2.2 that did not work. I have not tested your combination of compiler and base, but please send the error message.
>
> Mark
>
>
> Sent from my iPhone
>
> On Oct 2, 2015, at 4:20 PM, Madden, Timothy J. <tmadden@aps.anl.gov<mailto:tmadden@aps.anl.gov>> wrote:
>
> Dear EPICS:
>
> Trying to build seq 2.2.3 with epics base 3.15.2. I am using the windows 2015 compiler on a 64 bit machine.
> I am building in 64 bit mode.
>
> I saw some tech talk notes that this does not work?
>
> Mark R. says one can make this work with 2.2.x snapshot etc. etc. I don't know where to get this. it is not on the seq web site.
>
> Thanks
> Tim Madden
> APS
>


Replies:
RE: Building SEQ 2.2.3, Windows, EPICS Base 3-15-2 freddie.akeroyd
References:
Building SEQ 2.2.3, Windows, EPICS Base 3-15-2 Madden, Timothy J.
Re: Building SEQ 2.2.3, Windows, EPICS Base 3-15-2 Mark Rivers
RE: Building SEQ 2.2.3, Windows, EPICS Base 3-15-2 Madden, Timothy J.
Re: Building SEQ 2.2.3, Windows, EPICS Base 3-15-2 Mark Rivers

Navigate by Date:
Prev: Re: Building SEQ 2.2.3, Windows, EPICS Base 3-15-2 Mark Rivers
Next: RE: Building SEQ 2.2.3, Windows, EPICS Base 3-15-2 freddie.akeroyd
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  <20152016  2017 
Navigate by Thread:
Prev: Re: Building SEQ 2.2.3, Windows, EPICS Base 3-15-2 Mark Rivers
Next: RE: Building SEQ 2.2.3, Windows, EPICS Base 3-15-2 freddie.akeroyd
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  <20152016  2017